## xygrib 1.2.2

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.1.0)
project (XyGrib)
set(VERSION_MAJOR 1)
set(VERSION_MINOR 2)
set(VERSION_PATCH 3)

set(XYGRIB_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
set(XYGRIB_VERSION_DATE "2019-01-13")

set(CMAKE_VERBOSE_MAKEFILE ON)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Unfotunately cmake <3.9 is not able to handle the coding style of XyGrib and AUTOMOC misses many classes. Once the code is fixed or we can expect newer cmake everywhere, we can enable this and get rid of the QT5_WRAP_CPP() macros
## Instruct CMake to run moc automatically when needed
#set(CMAKE_AUTOMOC ON)
#set(CMAKE_AUTOMOC_RELAXED_MODE TRUE)

# Unfotunately AUTOUIC_SEARCH_PATHS is not available before cmake 3.9 so we can't use this on all the current platforms
# At some future moment, turn this on and simplify src/GUI/CMakeLists.txt
## Create code from a list of Qt designer ui files
#set(CMAKE_AUTOUIC ON)
#set(CMAKE_AUTOUIC_SEARCH_PATHS "${CMAKE_CURRENT_SOURCE_DIR}/src/GUI")

set(CMAKE_CXX_STANDARD 11)
#set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3")
if(UNIX AND NOT APPLE)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fPIC")
endif()

# Add support for address etc sanitizers, part 1/2 (other half after ADD_EXECUTABLE)
if ( CMAKE_VERSION VERSION_GREATER 3.4 )
  set(ENABLE_SANITIZER "none" CACHE STRING "Add clang sanitizer to the build")
  set_property(CACHE ENABLE_SANITIZER PROPERTY STRINGS none address memory thread undefined)
  if (NOT "${ENABLE_SANITIZER}" MATCHES "none")
    add_compile_options(-fsanitize=${ENABLE_SANITIZER})
  endif()
endif()

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_PREFIX}/cmake") 

set(CMAKE_FIND_FRAMEWORK LAST)

# Find the QtWidgets library
find_package(Qt5Widgets CONFIG REQUIRED)
include_directories(${Qt5Widgets_INCLUDE_DIRS})
find_package(Qt5Core CONFIG REQUIRED)
find_package(Qt5Gui CONFIG REQUIRED)
find_package(Qt5Network CONFIG REQUIRED)
include_directories(${Qt5Network_INCLUDE_DIRS})
find_package(Qt5PrintSupport CONFIG REQUIRED)
include_directories(${Qt5PrintSupport_INCLUDE_DIRS})
find_package(Qt5Xml CONFIG REQUIRED)
include_directories(${Qt5Xml_INCLUDE_DIRS})

find_library(LIBNOVA_LIBRARY
     NAMES "libnova.a" "libnova.so"
     PATHS
     $ENV{EXTERNLIBS}/lib
     ~/Library/Frameworks
     /Library/Frameworks
     /usr/local
     /usr
     /sw
     /opt/local
     /opt/csw
     /opt
     PATH_SUFFIXES lib lib64 lib/x86_64-linux-gnu lib/i386-linux-gnu lib/armhf-linux-gnu lib/arm64-linux-gnu
     REQUIRED
 )
find_path(LIBNOVA_INCLUDE_DIR
     NAMES "libnova/libnova.h" "libnova.h"
     PATHS
     $ENV{EXTERNLIBS}/include
     ~/Library/Frameworks/include
     /Library/Frameworks/include
     /usr/local/include
     /usr/include
     /sw/include # Fink
     /opt/local/include # DarwinPorts
     /opt/csw/include # Blastwave
     /opt/include
     REQUIRED
 )
include_directories(${LIBNOVA_INCLUDE_DIR})

#find_package(OpenJPEG REQUIRED)
find_library(OPENJPEG_LIBRARIES
#     NAMES "libopenjp2.a" "libopenjp2.so" "libopenjpeg.so.2" "libopenjp2.dll.a"
     NAMES "libopenjp2.so.7" "libopenjp2.so" "libopenjp2.a" "libopenjpeg.so.2" "libopenjp2.dll.a"
     PATHS
     $ENV{EXTERNLIBS}/lib
     ~/Library/Frameworks
     /Library/Frameworks
     /usr/local
     /usr
     /sw
     /opt/local
     /opt/csw
     /opt
     PATH_SUFFIXES lib lib64
     REQUIRED
 )
find_path(OPENJPEG_INCLUDE_DIR
     NAMES "openjpeg.h"
     PATHS
     $ENV{EXTERNLIBS}/include
     ~/Library/Frameworks/include
     /Library/Frameworks/include
     /usr/local/include
     /usr/local/include/openjpeg-2.3
     /usr/include/openjpeg-2.3
     /usr/local/include/openjpeg-2.1
     /usr/include/openjpeg-2.1
     /usr/local/include/openjpeg-2.2
     /usr/include/openjpeg-2.2
     /usr/include
     /sw/include # Fink
     /opt/local/include # DarwinPorts
     /opt/csw/include # Blastwave
     /opt/include
     REQUIRED
 )
include_directories(${OPENJPEG_INCLUDE_DIR})

if(NOT WIN32)
    include(cmake/FindPROJ4.cmake)
    if(NOT PROJ4_FOUND)
      message(FATAL_ERROR "PROJ.4 library not found!")
    endif()
    include_directories(${PROJ4_INCLUDE_DIRS})
endif()
if(WIN32)
    find_library(PROJ4_LIBRARIES
        NAME "libproj.a"
        PATHS
        $ENV{EXTERNLIBS}/lib
         /opt/lib
        REQUIRED
    )
    find_path(PROJ4_INCLUDE_DIRS
         NAMES "proj_api.h"
         PATHS
         $ENV{EXTERNLIBS}/include
         /opt/include
         REQUIRED
     )
endif()
if(WIN32)
    message(STATUS "Search WIN32 BZIP2")
    find_library(BZIP2_LIBRARIES
        NAME "libbz2.a"
        PATHS
        $ENV{EXTERNLIBS}/lib
         /opt/lib
        REQUIRED
    )
    find_path(BZIP2_INCLUDE_DIR
         NAMES "bzlib.h"
         PATHS
         $ENV{EXTERNLIBS}/include
         /opt/include
         REQUIRED
     )
else()
    find_package(BZip2 REQUIRED)
endif()
include_directories(${BZIP2_INCLUDE_DIR})

if(WIN32)
    find_library(ZLIB_LIBRARIES
        NAME "libz.a"
        PATHS
        $ENV{EXTERNLIBS}/lib
        /opt/lib
        REQUIRED
    )
    find_path(ZLIB_INCLUDE_DIR
         NAMES "zlib.h"
         PATHS
         $ENV{EXTERNLIBS}/include
         /opt/include
         REQUIRED
     )
else()
    find_package(ZLIB REQUIRED)
endif()

include_directories(${ZLIB_INCLUDE_DIR})

if(WIN32)
    find_library(PNG_LIBRARIES
        NAME "libpng.a"
        PATHS
        $ENV{EXTERNLIBS}/lib
        /opt/lib
        REQUIRED
    )
    find_path(PNG_INCLUDE_DIR
         NAMES "png.h"
         PATHS
         $ENV{EXTERNLIBS}/include
         /opt/include
         REQUIRED
     )
else()
    find_package(PNG REQUIRED)
endif()

include_directories(${PNG_INCLUDE_DIR})

configure_file(cmake/Version.h.in ${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/include/Version.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/include)

if(APPLE)
set(PREFIX_BIN ${PROJECT_NAME})
set(PREFIX_PKGDATA ${PROJECT_NAME})
endif()
if(WIN32)
set(PREFIX_BIN ".")
set(PREFIX_PKGDATA ".")
endif()
if(UNIX AND NOT APPLE)
# This is not exactly a good idea on linux - the code should be changed so that the executable would go to /usr/local/bin and the data to /usr/local/share/XyGrib
set(PREFIX_BIN ${PROJECT_NAME})
set(PREFIX_PKGDATA ${PROJECT_NAME})
endif()

add_subdirectory(src)
add_subdirectory(data/tr)

# Installation
# macOS bundle parameters
set_target_properties(${PROJECT_NAME} PROPERTIES MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/cmake/MacOSXBundleInfo.plist.in")
set_target_properties(${PROJECT_NAME} PROPERTIES MACOSX_BUNDLE_INFO_STRING "${PROJECT_NAME}")
set_target_properties(${PROJECT_NAME} PROPERTIES MACOSX_BUNDLE_ICON_FILE "xyGrib.icns")
set_target_properties(${PROJECT_NAME} PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "${PROJECT_NAME}")
set_target_properties(${PROJECT_NAME} PROPERTIES MACOSX_BUNDLE_LONG_VERSION_STRING "${XYGRIB_VERSION}")
set_target_properties(${PROJECT_NAME} PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "${PROJECT_NAME}")
set_target_properties(${PROJECT_NAME} PROPERTIES MACOSX_BUNDLE_SHORT_VERSION_STRING "${XYGRIB_VERSION}")
set_target_properties(${PROJECT_NAME} PROPERTIES MACOSX_BUNDLE_BUNDLE_VERSION "${XYGRIB_VERSION}")
set_target_properties(${PROJECT_NAME} PROPERTIES MACOSX_BUNDLE_COPYRIGHT "${PROJECT_NAME} Authors")
# Install data
install(DIRECTORY data DESTINATION ${PREFIX_PKGDATA})

=== debian/changelog ===
xygrib (1.2.2-2) unstable; urgency=medium

  * Define ACCEPT_USE_OF_DEPRECATED_PROJ_API_H for proj6 transition.
    Closes: #931922.
  * Move to debhelper 12

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 14 Jul 2019 14:24:57 +0100

xygrib (1.2.2-1) unstable; urgency=medium

  * Initial release. (Closes: #919654)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Jan 2019 10:25:25 +0000

=== debian/control ===
Source: xygrib
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 12),
 dh-buildinfo,
 cmake,
 libz-dev,
 libbz2-dev,
 libproj-dev, 
 qtbase5-dev,
 qttools5-dev,
 libqt5svg5-dev,
 libqwt-qt5-dev (>= 6.1.2),
 libgrib2c-dev,
 libopenjp2-7-dev,
 libnova-dev,
 libpng-dev
Standards-Version: 4.3.0
Homepage: https://www.opengribs.org/
Vcs-Browser: https://salsa.debian.org:/science-team/xygrib.git
Vcs-Git: https://salsa.debian.org:/science-team/xygrib.git

Package: xygrib
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 xygrib-maps,
 fonts-liberation
Replaces: zygrib
Description: Weather data visualization,  GRIB file viewer
 This application, written with the Qt toolkit, enables:
  * Visualisation of meteo data from files in GRIB Format 1
  * Automatic GRIB data download
  * Automatic Download from IAC (fleetcode) Data


Package: xygrib-maps
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: zygrib-maps
Replaces: zygrib-maps
Description: Maps for XyGrib weather visualization
 This contains maps and country names used by XyGrib.

## xygrib 1.2.2+rebuild

=== debian/changelog ===
xygrib (1.2.2+rebuild-1+eagle) unstable; urgency=medium

  * update

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 26 Jan 2021 20:12:39 +0800

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@ --buildsystem=cmake

export HOME=`pwd`/debian/tmp
export QT_SELECT=5

CFLAGS += -fPIC

	
override_dh_auto_clean:
	dh_auto_clean 
	rm -rf zyGrib zyGrib.app src/zyGrib src/release/zyGrib.exe
	rm -rf  src/objs/* src/zyGrib src/Makefile src/qwt-6.0.1 src/.qmake*

## xygrib 1.2.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,10 @@
 project (XyGrib)
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 2)
-set(VERSION_PATCH 3)
+set(VERSION_PATCH 5)
 
 set(XYGRIB_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
-set(XYGRIB_VERSION_DATE "2019-01-13")
+set(XYGRIB_VERSION_DATE "2019-02-16")
 
 set(CMAKE_VERBOSE_MAKEFILE ON)

=== src/GUI/CMakeLists.txt ===
set(GUI_UI
AngleConverterWidget.ui
ColorEditorWidget.ui
FindCityDialog.ui
GraphicsParamsDialog.ui
GribLoadDialog.ui
LineEditorWidget.ui
MeteotableOptionsDialog.ui
PoiEditorDialog.ui
PositionEditorWidget.ui
TextStyleEditorWidget.ui
)

set(GUI_HDRS
AngleConverterDialog.h
AngleConverterWidget.h
ColorEditorWidget.h
LineEditorWidget.h
PositionEditorWidget.h
TextStyleEditorWidget.h
)

set(GUI_SRCS
AngleConverterDialog.cpp
AngleConverterWidget.cpp
ColorEditorWidget.cpp
LineEditorWidget.cpp
PositionEditorWidget.cpp
TextStyleEditorWidget.cpp
)

qt5_wrap_ui(gui_gen_srcs ${GUI_UI})
qt5_wrap_cpp(gui_mocs ${GUI_SRCS} ${GUI_HDRS} ${gui_gen_srcs})

add_library(gui STATIC ${GUI_SRCS} ${gui_gen_srcs} ${gui_mocs})

set(GUI_GENERATED_HEADERS "${CMAKE_CURRENT_BINARY_DIR}" PARENT_SCOPE)
# - AUTOUIC version: set(GUI_GENERATED_HEADERS "${CMAKE_CURRENT_BINARY_DIR}/gui_autogen/include" PARENT_SCOPE)

=== src/g2clib-1.6.0/CMakeLists.txt ===
set(G2CLIB_HDRS
drstemplates.h
grib2.h
gridtemplates.h
pdstemplates.h
)

set(G2CLIB_SRCS
#cmplxpack.c
#compack.c
comunpack.c
dec_jpeg2000.c
dec_png.c
drstemplates.c
#enc_jpeg2000.c
#enc_png.c
#g2_addfield.c
#g2_addgrid.c
#g2_addlocal.c
#g2_create.c
g2_free.c
g2_getfld.c
g2_gribend.c
g2_info.c
g2_miss.c
g2_unpack1.c
g2_unpack2.c
g2_unpack3.c
g2_unpack4.c
g2_unpack5.c
g2_unpack6.c
g2_unpack7.c
gbits.c
getdim.c
getpoly.c
gridtemplates.c
int_power.c
#jpcpack.c
jpcunpack.c
jpeg2000_openjpeg.c
#main.c
#mainhome.c
#misspack.c
#mkieee.c
#pack_gp.c
pdstemplates.c
#pngpack.c
pngunpack.c
rdieee.c
#reduce.c
seekgb.c
#simpack.c
simunpack.c
#specpack.c
specunpack.c
)

add_library(g2clib STATIC ${G2CLIB_SRCS})

target_include_directories (g2clib PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

ADD_DEFINITIONS(-DUSE_PNG -DUSE_OPENJPEG -DUSE_JPEG2000 )

=== debian/changelog ===
xygrib (1.2.6-2) unstable; urgency=medium

  * Patch for Qt5, GCC10 FTBFS: Closes: #975162
  * Move to Standards-Version: 4.5.1
  * Use debhelper level 13
  * Move to DEP-14, add d/gbp.conf to point to branches
  * Point VCS-Git to debian/latest

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 21 Nov 2020 13:14:48 +0000

xygrib (1.2.6-1) unstable; urgency=medium

  * New upstream release
  * Move to Standards-Version: 4.4.0
  * Use debhelper-compat (= 12)
  * Drop obsolete build-dep on libqwt-qt5-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Aug 2019 12:47:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-buildinfo,
  cmake,
  libz-dev,
@@ -11,15 +11,14 @@
  qtbase5-dev,
  qttools5-dev,
  libqt5svg5-dev,
- libqwt-qt5-dev (>= 6.1.2),
  libgrib2c-dev,
  libopenjp2-7-dev,
  libnova-dev,
  libpng-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://www.opengribs.org/
 Vcs-Browser: https://salsa.debian.org:/science-team/xygrib.git
-Vcs-Git: https://salsa.debian.org:/science-team/xygrib.git
+Vcs-Git: https://salsa.debian.org:/science-team/xygrib.git b debian/latest
 
 Package: xygrib
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
+
+# Workaround for proj_api.h deprecation in PROJ 6.0.0
+export DEB_CXXFLAGS_MAINT_APPEND=-DACCEPT_USE_OF_DEPRECATED_PROJ_API_H
 
 # The magic debhelper  rule
 %:

## xygrib 1.2.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,10 @@
 project (XyGrib)
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 2)
-set(VERSION_PATCH 5)
+set(VERSION_PATCH 6)
 
 set(XYGRIB_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
-set(XYGRIB_VERSION_DATE "2019-02-16")
+set(XYGRIB_VERSION_DATE "2019-07-05")
 
 set(CMAKE_VERBOSE_MAKEFILE ON)

=== src/CMakeLists.txt ===
#add_subdirectory(openjpeg-2.3.0)
add_subdirectory(g2clib-1.6.0)
add_subdirectory(GUI)
add_subdirectory(util)
add_subdirectory(map)

set(XYGRIB_HDRS
Astro.h
BoardPanel.h
ColorScale.h
ColorScaleWidget.h
DataColors.h
DataDefines.h
DataMeteoAbstract.h
DataPointInfo.h
DataQString.h
DateChooser.h
DialogBoxBase.h
DialogBoxColumn.h
DialogFonts.h
DialogGraphicsParams.h
DialogLoadGRIB.h
DialogProxy.h
DialogSelectMetar.h
DialogServerStatus.h
DialogUnits.h
FileLoader.h
FileLoaderGRIB.h
Grib2Plot.h
Grib2Reader.h
Grib2Record.h
GribAnimator.h
GribPlot.h
GribReader.h
GribRecord.h
GriddedPlotter.h
GriddedReader.h
GriddedRecord.h
ImageWriter.h
IrregularGridded.h
IsoLine.h
LonLatGrid.h
LongTaskMessage.h
LongTaskProgress.h
MainWindow.h
MapDrawer.h
MenuBar.h
Metar.h
MeteoTable.h
MeteoTableWidget.h
MeteotableOptionsDialog.h
RegularGridded.h
RegularGriddedPlot.h
SkewT.h
Stylesheet.h
Terrain.h
Therm.h
#Version.h
)

set(XYGRIB_SRCS
Astro.cpp
BoardPanel.cpp
ColorScale.cpp
ColorScaleWidget.cpp
DataColors.cpp
DataMeteoAbstract.cpp
DataPointInfo.cpp
DataQString.cpp
DateChooser.cpp
DialogBoxColumn.cpp
DialogFonts.cpp
DialogGraphicsParams.cpp
DialogLoadGRIB.cpp
DialogProxy.cpp
DialogSelectMetar.cpp
DialogServerStatus.cpp
DialogUnits.cpp
FileLoaderGRIB.cpp
Grib2Plot.cpp
Grib2Reader.cpp
Grib2Record.cpp
GribAnimator.cpp
GribPlot.cpp
GribReader.cpp
GribRecord.cpp
GriddedPlotter.cpp
GriddedReader.cpp
GriddedRecord.cpp
ImageWriter.cpp
IrregularGridded.cpp
IsoLine.cpp
LonLatGrid.cpp
LongTaskMessage.cpp
LongTaskProgress.cpp
MainWindow.cpp
MapDrawer.cpp
MenuBar.cpp
Metar.cpp
MeteoTable.cpp
MeteoTableWidget.cpp
MeteotableOptionsDialog.cpp
SkewT.cpp
SkewTWindow.cpp
Terrain.cpp
Therm.cpp
main.cpp
)
IF(WIN32)
  SET(XYGRIB_SRCS ${XYGRIB_SRCS} ../data/img/resource.rc)
ENDIF()

qt5_wrap_cpp(xygrib_mocs ${XYGRIB_SRCS} ${XYGRIB_HDRS})

add_executable(${CMAKE_PROJECT_NAME} WIN32 MACOSX_BUNDLE ${XYGRIB_SRCS} ${xygrib_mocs})

install(TARGETS
    ${CMAKE_PROJECT_NAME}
    BUNDLE DESTINATION ${PREFIX_BIN} RUNTIME DESTINATION ${PREFIX_BIN} PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/util)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/map ${MAP_GENERATED_HEADERS})
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/GUI ${GUI_GENERATED_HEADERS})

target_link_libraries(${CMAKE_PROJECT_NAME} g2clib gui util map ${LIBNOVA_LIBRARY} ${OPENJPEG_LIBRARIES} ${Qt5Core_LIBRARIES} ${Qt5Gui_LIBRARIES} ${Qt5Widgets_LIBRARIES} ${Qt5Network_LIBRARIES} ${Qt5Xml_LIBRARIES} ${Qt5PrintSupport_LIBRARIES} ${BZIP2_LIBRARIES} ${ZLIB_LIBRARIES} ${PROJ4_LIBRARIES} ${PNG_LIBRARIES})

# Sanitizers, part 2/2
if ( CMAKE_VERSION VERSION_GREATER 3.4 )
  if (NOT "${ENABLE_SANITIZER}" MATCHES "none")
     target_link_libraries(${CMAKE_PROJECT_NAME} -fsanitize=${ENABLE_SANITIZER})
  endif()
endif()

=== data/tr/CMakeLists.txt ===
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)

FIND_PACKAGE(Qt5LinguistTools)

file(GLOB TRANSLATION_FILES ${CMAKE_CURRENT_LIST_DIR}/*.ts)
set_source_files_properties(${TRANSLATION_FILES} PROPERTIES OUTPUT_LOCATION ${CMAKE_CURRENT_SOURCE_DIR})

qt5_create_translation(TRANSLATION_MESSAGES ${CMAKE_CURRENT_SOURCE_DIR}/../../src ${TRANSLATION_FILES})
qt5_add_translation(TRANSLATION_QM ${TRANSLATION_FILES})
add_custom_target(translations_update DEPENDS ${TRANSLATION_MESSAGES})
add_custom_target(translations DEPENDS ${TRANSLATION_QM})

=== src/map/CMakeLists.txt ===
set(MAP_HDRS
GisReader.h
GshhsRangsReader.h
GshhsReader.h
POI.h
POI_Editor.h
PositionEditor.h
Projection.h
)

set(MAP_SRCS
GisReader.cpp
GshhsRangsReader.cpp
GshhsReader.cpp
POI.cpp
POI_Editor.cpp
PositionEditor.cpp
Projection.cpp
Projection_libproj.cpp
)

qt5_wrap_cpp(map_mocs ${MAP_SRCS} ${MAP_HDRS})

add_library(map STATIC ${MAP_SRCS} ${map_mocs})

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/util ${CMAKE_CURRENT_SOURCE_DIR}/GUI ${GUI_GENERATED_HEADERS})
target_include_directories (map PUBLIC ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_SOURCE_DIR}/../util ${CMAKE_CURRENT_SOURCE_DIR}/../GUI ${GUI_GENERATED_HEADERS})

target_link_libraries(map gui util)
add_dependencies(map gui)

set(MAP_GENERATED_HEADERS "${CMAKE_CURRENT_BINARY_DIR}/map_autogen/include" PARENT_SCOPE)

=== src/util/CMakeLists.txt ===
set(UTIL_HDRS
Font.h
Orthodromie.h
Settings.h
SylkFile.h
Util.h
zuFile.h
)

set(UTIL_SRCS
Font.cpp
Orthodromie.cpp
Settings.cpp
Util.cpp
zuFile.cpp
)

qt5_wrap_cpp(util_mocs ${UTIL_SRCS} ${UTIL_HDRS})

add_library(util STATIC ${UTIL_SRCS} ${util_mocs})

target_include_directories (util PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_SOURCE_DIR}/../map)

=== debian/changelog ===
xygrib (1.2.6.1-5) unstable; urgency=medium

  * Add debian/watch
  * Standards-Version: 4.7.2
  * Fix FTBFS with Cmake 4. Closes: #1113649

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Sep 2025 10:48:24 +0100

xygrib (1.2.6.1-4) unstable; urgency=medium

  * Standards-Version:: 4.7.0
  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Drop B-D on dh-buildinfo

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Jan 2025 11:08:21 +0000

xygrib (1.2.6.1-3) unstable; urgency=medium

  * Add patch via Eugene Savelov for Wayland usability.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 May 2023 09:17:55 +0100

xygrib (1.2.6.1-2) unstable; urgency=medium

  * Build against libg2c-dev instead of libgrib2c-dev. Closes: #1011182

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 May 2022 07:48:34 +0100

xygrib (1.2.6.1-1) unstable; urgency=medium

  * New upstream release. Closes: #998050
  * Drop version.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 31 Oct 2021 10:07:46 +0000

xygrib (1.2.6-3) unstable; urgency=medium

  * Standards-Version: 4.6.0
  * Support for Proj8 API. Closes: #983230
  * Typo in vcs-git in d/control
  * version.patch: Update version displayed to 1.2.6

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Oct 2021 11:09:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: xygrib
 Section: utils
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13),
- dh-buildinfo,
  cmake,
  libz-dev,
  libbz2-dev,
@@ -11,14 +11,14 @@
  qtbase5-dev,
  qttools5-dev,
  libqt5svg5-dev,
- libgrib2c-dev,
+ libg2c-dev | libgrib2c-dev,
  libopenjp2-7-dev,
  libnova-dev,
  libpng-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: https://www.opengribs.org/
-Vcs-Browser: https://salsa.debian.org:/science-team/xygrib.git
-Vcs-Git: https://salsa.debian.org:/science-team/xygrib.git b debian/latest
+Vcs-Browser: https://salsa.debian.org/science-team/xygrib.git
+Vcs-Git: https://salsa.debian.org/science-team/xygrib.git -b debian/latest
 
 Package: xygrib
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,6 @@
 
 export DH_VERBOSE=1
 
-# Workaround for proj_api.h deprecation in PROJ 6.0.0
-export DEB_CXXFLAGS_MAINT_APPEND=-DACCEPT_USE_OF_DEPRECATED_PROJ_API_H
 
 # The magic debhelper  rule
 %:

=== debian/watch ===
version=4
opts="uversionmangle=s/-rc/~rc/, filenamemangle=s/.+\/(\d\S+)\.tar\.gz/$1\.tar\.gz/" \
  https://github.com/opengribs/XyGrib/tags .*/v?(\d\d?\d?\..+).tar\.gz
